Subject: bug#40558: (no subject)

From: [email-masked]
Date: Wed, 03 Feb 2021 18:57:09 +0900

Ricardo Wurmus <[email-masked]> wrote:
> This is a problem with the modular TeX Live packages.  The pk files are
> bitmap fonts.  I found that adding texlive-cm-super to the union helps
> in that the bitmap variants of the CM fonts will not be generated any
> more.  More font packages may be needed in the union to prevent TeX from
> falling back to bitmap fonts in other cases.
> 
> In any case, that’s unrelated to Jelle’s patch, which looks fine to me.

Thank you, Ricardo, for looking into this.

I have lost signficant amounts of hair trying to find a solution. Adding
texlive-cm-super doesn't help for the document I trying to typeset. In fact, I
even grabbed all texlive packages with fonts and threw them in the
texlive-union to no effect. No matter what, pdflatex bails when trying to find
the font to set $~$.

The only way I have gotten it to typeset under a texlive-union so far is by
munging texlive-amsfonts as Jelle mentioned.